<?php
//cargar config
require_once 'libs/twitteroauth.php';
require_once('config/config.php');
if (CONSUMER_KEY === '' || CONSUMER_SECRET === '' || CONSUMER_KEY === 'CONSUMER_KEY_HERE' || CONSUMER_SECRET === 'CONSUMER_SECRET_HERE') 
{
  echo 'You need a consumer key and secret to test the sample code. Get one from <a href="https://dev.twitter.com/apps">dev.twitter.com/apps</a>';
  exit;
}

//solicitud a api de clima y variables
$jsonurl = "http://api.openweathermap.org/data/2.5/weather?id=3530597&lang=es";
$json = file_get_contents($jsonurl);
$weather = json_decode($json);
$kelvin = $weather->main->temp;
$humedad = $weather->main->humidity;
$celcius = $kelvin - 273.15;

// perdir la fecha en español a php
setlocale(LC_ALL,"es_MX");
//la fecha
$fecha = strftime("%A %d de %B del %Y");
//Mensaje del clima
$msg= "Hoy es $fecha, la temperatura en la Ciudad de México es: $celcius °C.";
//twittear
$toa = new TwitterOAuth(CONSUMER_KEY, CONSUMER_SECRET, ACCESS_TOKEN, ACCESS_TOKEN_SECRET);
$toa->post('statuses/update', array('status' => "$msg", 'in_reply_to_status_id' => 123456));
?>
